io.swagger.client.model

## Class User

- java.lang.Object
- - io.swagger.client.model.User

-     public class User
      extends Object

  User

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `User()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `User` | `addUserChainMappingsItem(UserChainMapping userChainMappingsItem)`
    `User` | `emailAddress(String emailAddress)`
    `boolean` | `equals(Object o)`
    `User` | `externalID(String externalID)`
    `User` | `firstName(String firstName)`
    `String` | `getEmailAddress()` Get emailAddress
    `String` | `getExternalID()` Get externalID
    `String` | `getFirstName()` Get firstName
    `String` | `getLastName()` Get lastName
    `Integer` | `getProvisioningStatus()` Get provisioningStatus
    `List<UserChainMapping>` | `getUserChainMappings()` Get userChainMappings
    `Integer` | `getUserID()` Get userID
    `int` | `hashCode()`
    `User` | `lastName(String lastName)`
    `User` | `provisioningStatus(Integer provisioningStatus)`
    `void` | `setEmailAddress(String emailAddress)`
    `void` | `setExternalID(String externalID)`
    `void` | `setFirstName(String firstName)`
    `void` | `setLastName(String lastName)`
    `void` | `setProvisioningStatus(Integer provisioningStatus)`
    `void` | `setUserChainMappings(List<UserChainMapping> userChainMappings)`
    `void` | `setUserID(Integer userID)`
    `String` | `toString()`
    `User` | `userChainMappings(List<UserChainMapping> userChainMappings)`
    `User` | `userID(Integer userID)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### User

          public User()

  - ### Method Detail

    - #### userID

          public User userID(Integer userID)

    - #### getUserID

          public Integer getUserID()

      Get userID
      Returns:
        userID

    - #### setUserID

          public void setUserID(Integer userID)

    - #### provisioningStatus

          public User provisioningStatus(Integer provisioningStatus)

    - #### getProvisioningStatus

          public Integer getProvisioningStatus()

      Get provisioningStatus
      Returns:
        provisioningStatus

    - #### setProvisioningStatus

          public void setProvisioningStatus(Integer provisioningStatus)

    - #### externalID

          public User externalID(String externalID)

    - #### getExternalID

          public String getExternalID()

      Get externalID
      Returns:
        externalID

    - #### setExternalID

          public void setExternalID(String externalID)

    - #### firstName

          public User firstName(String firstName)

    - #### getFirstName

          public String getFirstName()

      Get firstName
      Returns:
        firstName

    - #### setFirstName

          public void setFirstName(String firstName)

    - #### lastName

          public User lastName(String lastName)

    - #### getLastName

          public String getLastName()

      Get lastName
      Returns:
        lastName

    - #### setLastName

          public void setLastName(String lastName)

    - #### emailAddress

          public User emailAddress(String emailAddress)

    - #### getEmailAddress

          public String getEmailAddress()

      Get emailAddress
      Returns:
        emailAddress

    - #### setEmailAddress

          public void setEmailAddress(String emailAddress)

    - #### userChainMappings

          public User userChainMappings(List<UserChainMapping> userChainMappings)

    - #### addUserChainMappingsItem

          public User addUserChainMappingsItem(UserChainMapping userChainMappingsItem)

    - #### getUserChainMappings

          public List<UserChainMapping> getUserChainMappings()

      Get userChainMappings
      Returns:
        userChainMappings

    - #### setUserChainMappings

          public void setUserChainMappings(List<UserChainMapping> userChainMappings)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.